<?php
##########################################
# ~ Разработка отдельных модулей ~~~~~~~ #
# ~ и написание скриптов на php (c)KoT ~ #
# ~ ICQ: 7675072 ~~~~~~~~~~~~~~~~~~~~~~~ #
# ~ Site: 4atlove.ru ~~~~~~~~~~~~~~~~~~~ #
# ~ E-mail: notefree@bk.ru ~~~~~~~~~~~~~ #
##########################################

require 'config.php';
$align = 'left';
$title = 'Свадьбы';
aut();
head();
who_add(0, 'enter');

echo '<b>Свадьбы</b><br/>';

$do = isset($_GET['do']) ? $_GET['do'] : NULL;

switch($do) {
default:

if (isset($_GET['ok'])) {
echo '<b style="color:red">Свадьба удалена!</b><br/>';
}

echo ($user['level'] >= 8) ? '<a href="wedding.php?do=create"><u>Создать</u></a><hr/>' : '';
echo '<u>Текущие свадьбы:</u><br/>';

$wed = mysql_query("SELECT * FROM `wedding` WHERE `groom` != '' AND `bride` != ''");

if (mysql_affected_rows() != 0) {
$i = 1;
while($a = mysql_fetch_assoc($wed)) {
$lnk = '<a href="wedding.php?do=view&amp;w='.$a['id'].'"><b>[!]</b></a> ';
echo $i++ . '. ' . $lnk . nik($a['groom']) . ' и ' . nik($a['bride']) . '<br/>';
}
} else {
echo '<b>Свадеб нет...</b><br/><br/>';
}
echo '<a href="wedding.php?do=razvod">Развестись</a><br/>';
break;

case create:
if ($user['level'] <= 8) {
echo 'Пшел нах умник :)<br/>';
foot();
exit();
}

if (isset($_POST['add_wid'])) {
$groom = trim(mysql_real_escape_string(htmlspecialchars($_POST['groom'])));
$bride = trim(mysql_real_escape_string(htmlspecialchars($_POST['bride'])));
$witnesses = trim(mysql_real_escape_string(htmlspecialchars($_POST['witnesses'])));
$hour = addslashes(strip_tags($_POST['hour']));
$min = addslashes(strip_tags($_POST['min']));
$day = addslashes(strip_tags($_POST['day']));
$month = addslashes(strip_tags($_POST['month']));
$year = addslashes(strip_tags($_POST['year']));

$today = mysql_fetch_assoc(mysql_query("SELECT `id` FROM `wedding` WHERE `date` = '".date('d.m.Y')."'"));
if (!empty($today['id'])) {
echo '<b style="color:red">Нельзя создавать более одной свадьбы на день! Священник тоже человек ;)</b><br/>';
foot();
exit();
}

$cdy = date('Y');
$cdm = date('m');
$cdd = date('d');

if ($year < $cdy) {
echo '<b style="color:red">Не верно заполнен год!</b><br/>';
foot();
exit();
}
if ($month < $cdm and $year == $cdy) {
echo '<b style="color:red">Не верно заполнен месяц!</b><br/>';
foot();
exit();
}
if ($day < $cdd and $year == $cdy and $month == $cdm) {
echo '<b style="color:red">Не верно заполнено число!</b><br/>';
foot();
exit();
}
if (empty($hour) and $hour != 00) {
echo '<b style="color:red">Не заполнено поле часов!</b><br/>';
foot();
exit();
}
if (empty($min) and $min != 00) {
echo '<b style="color:red">Не заполнено поле минут!</b><br/>';
foot();
exit();
}

$t_groom = mysql_query("SELECT `id` FROM `users` WHERE `sex` = '1' AND `user` = '$groom'");
if (mysql_affected_rows() == false) {
echo '<b style="color:red">Жених не найден...</b><br/>';
foot();
exit();
}

$t_bride = mysql_query("SELECT `id` FROM `users` WHERE `sex` = '0' AND `user` = '$bride'");
if (mysql_affected_rows() == false) {
echo '<b style="color:red">Невеста не найдена...</b><br/>';
foot();
exit();
}

$busy_1 = mysql_fetch_assoc(mysql_query("SELECT `spgr` FROM `users` WHERE `sex` = '1' AND `user` = '$groom'"));
if ($busy_1['spgr'] != '') {
echo '<b style="color:red">Жених уже занят...</b><br/>';
foot();
exit();
}

$busy_2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `sex` = '0' AND `user` = '$bride'"));
if ($busy_2['spgr'] != '') {
echo '<b style="color:red">Невеста уже занята...</b><br/>';
foot();
exit();
}

$date_s = $day . '.' . $month . '.' . $year;
$time_s = $hour . ':' . $min;

if (empty($groom) || empty($bride) || empty($witnesses) || empty($hour) || empty($min) || empty($day) || empty($month) || empty($year)) {
echo '<b style="color:red">Надо заполнить все поля!</b><br/>';
} else {
$sql = "INSERT INTO `wedding` SET 
        `groom` = '$groom',
		`bride` = '$bride',
		`witnesses` = '$witnesses',
        `time` = '$time_s',
		`date` = '$date_s',
		`creator` = '$user[user]'";

		if (mysql_query($sql)) {
		echo '<b style="color:red">Свадьба успешно добавлена!</b><br/>';
		} else {
    	echo '<b style="color:red">Непредвиденная ошибка...</b><br/>'.mysql_error();
 	}
  }
}

echo 'Здесь ты можешь создать свадьбу...<br/>
      <form method="POST" action="wedding.php?do=create">
	  Введи ник жениха:<br/>
	  <input type="text" name="groom"/>
	  <br/>
	  Введи ник невесты<br/>
	  <input type="text" name="bride"/>
	  <br/>
	  Свидетели:<br/>
	  <input type="text" name="witnesses"/>
	  <br/>
	  Время церемонии:<br/>
      <input type="text" name="hour" maxlength="2" size="2"/>:<input type="text" name="min" maxlength="2" size="2"/>
	  <br/>
	  Дата церемонии:<br/>
	  <input type="text" name="day" maxlength="2" size="2"/>.<input type="text" name="month" maxlength="2" size="2"/>.<input type="text" name="year" maxlength="4" size="4"/>
	  <br/>
	  <input type="submit" name="add_wid" value="Создать"/>
	  </form>';
break;

case razvod:
$im = mysql_fetch_assoc(mysql_query("SELECT spgr FROM users WHERE id = '$user[id]'"));
if ($im['spgr'] == '') {
if ($user['sex'] == 0) echo 'Вы не замужем!<br/>';
elseif ($user['sex'] == 1) echo 'Вы не женаты!<br/>';
} else {
mysql_query("UPDATE users SET spgr = '' WHERE id = '$user[id]'");
mysql_query("UPDATE users SET spgr = '' WHERE user = '$im[spgr]'");
echo 'Вы успешно развелись с ' . $im['spgr'] . '!<br/>';
}
break;

case view:
if (!ctype_digit($_GET['w'])) {
echo 'В хакера решил поиграть? =)';
exit();
foot();
}

$w = (int)$_GET['w'];

if (isset($_GET['delete'])) {
mysql_query("DELETE FROM `wedding` WHERE `id` = '$w'");
header('Location: wedding.php?ok');
die();
}

$sel = mysql_fetch_assoc(mysql_query("SELECT * FROM `wedding` WHERE `id` = '$w'"));
if (mysql_affected_rows() == false) {
echo 'Свадьба не найдена!<br/>';
} else {
echo 'Приглашаем всех чатлан на свадьбу между двумя любящими сердцами - <br/>
      Жених - ' . $sel['groom'] . '<br/>
	  Невеста - ' . $sel['bride'] . '<br/>
	  Свидетели - ' . $sel['witnesses'] . '<br/>
	  Свадьба состоится в: ' . $sel['time'] . ', ' . $sel['date'] . '<br/>
	  Организатор: ' . $sel['creator'] . '<br/>';
}
echo ($user['level'] >= 8) ? '<a href="wedding.php?do=view&amp;delete&amp;w='.$sel['id'].'"><u>Удалить</u></a><br/>' : '';
break;

}

echo gb . '<a href="'.H.'enter">Прихожая</a>' . div;
foot();
?>